Ubuntu

virt-install cannot install Raring

Reported by Peter Matulis on 2013-06-18
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
virtinst (Ubuntu)
Status tracked in Trusty
Precise
Undecided
Marc Deslauriers
Quantal
Undecided
Marc Deslauriers
Raring
Undecided
Marc Deslauriers
Saucy
Undecided
Marc Deslauriers
Trusty
Undecided
Marc Deslauriers

Bug Description

[SRU]

Impact:
Newer Ubuntu releases aren't available in virt-install or virt-manager.

Fixed with minimal patch that adds missing releases.

Regression potential:
Not much. If broken, I suppose virtinst would either fail to properly install one of the added releases.

Test case:
- Open virt-manager
- Click new to install a new VM
- See if new releases are available in the drop down
- (Optionally) try to install new releases

---------------

This is what I get on a Raring host:

$ virt-install --os-variant=list | grep ubuntu

ubuntuquantal : Ubuntu 12.10 (Quantal Quetzal)
ubuntuprecise : Ubuntu 12.04 LTS (Precise Pangolin)
ubuntuoneiric : Ubuntu 11.10 (Oneiric Ocelot)
ubuntunatty : Ubuntu 11.04 (Natty Narwhal)
ubuntumaverick : Ubuntu 10.10 (Maverick Meerkat)
ubuntulucid : Ubuntu 10.04 LTS (Lucid Lynx)
ubuntukarmic : Ubuntu 9.10 (Karmic Koala)
ubuntujaunty : Ubuntu 9.04 (Jaunty Jackalope)
ubuntuintrepid : Ubuntu 8.10 (Intrepid Ibex)
ubuntuhardy : Ubuntu 8.04 LTS (Hardy Heron)

$ dpkg-query -W virtinst

virtinst 0.600.3-3ubuntu1

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: virtinst 0.600.3-3ubuntu1
ProcVersionSignature: Ubuntu 3.8.0-25.37-generic 3.8.13
Uname: Linux 3.8.0-25-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
Date: Tue Jun 18 14:37:37 2013
InstallationDate: Installed on 2012-05-03 (411 days ago)
InstallationMedia: Lubuntu 12.04 "Precise Pangolin" - Release amd64 (20120423.1)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: virtinst
UpgradeStatus: Upgraded to raring on 2013-05-29 (20 days ago)

Peter Matulis (petermatulis) wrote :
Marc Deslauriers (mdeslaur) wrote :

From an irc discussion:

<smoser> is there any reason we wouldn't want virtinst to use/depend-on python-distro-info ?specific configuration
<mdeslaur> smoser: the cirrus driver no longer works with raring, for example
<smoser> well, that could be handled.
<smoser> well, at least at this point it seems like a simple set of rules works there.
 ubuntu > hardy : VIRTIO_NET
 ubuntu > jaunty: VIRTIO_DISK
<smoser> ubuntu > raring: VMVGA_VIDEO
<mdeslaur> smoser: likely either saucy+1 or one of the later ones should switch to SPICE
 not sure which one
 but yeah, I see what you're getting at
 I'll think about it, and poke at it
<mdeslaur> smoser: I'm liking the python-distro-info idea, thanks

Changed in virtinst (Ubuntu Raring):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Saucy):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Raring):
status: New → Confirmed
Changed in virtinst (Ubuntu Saucy):
status: New → Confirmed
Peter Matulis (petermatulis) wrote :

@Marc

Can you give a summary of what the problem is? I don't understand the IRC snippet.

Marc Deslauriers (mdeslaur) wrote :

The IRC snippet is simply a reminder for a way to fix it so that we don't need to patch in each release as it becomes available.

Sorry, I haven't had time to work on this yet.

Changed in virtinst (Ubuntu Trusty):
status: Confirmed → Fix Released
Changed in virtinst (Ubuntu Precise):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Quantal):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Precise):
status: New → Confirmed
Changed in virtinst (Ubuntu Quantal):
status: New → Confirmed
description: updated
description: updated
Marc Deslauriers (mdeslaur) wrote :

Deferring python-distro-info integration for now...new version of virt-manager will make doing that a lot simpler.

Hello Peter, or anyone else affected,

Accepted virtinst into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/virtinst/0.600.4-2ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in virtinst (Ubuntu Saucy):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in virtinst (Ubuntu Raring):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Peter, or anyone else affected,

Accepted virtinst into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/virtinst/0.600.3-3ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in virtinst (Ubuntu Quantal):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Peter, or anyone else affected,

Accepted virtinst into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/virtinst/0.600.2-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in virtinst (Ubuntu Precise):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Peter, or anyone else affected,

Accepted virtinst into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/virtinst/0.600.1-1ubuntu3.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Peter Matulis (petermatulis) wrote :

Works on a Raring host (installed Raring, Saucy, and Trusty server guests):

$ apt-cache policy virtinst

virtinst:
  Installed: 0.600.3-3ubuntu1.1
  Candidate: 0.600.3-3ubuntu1.1
  Version table:
 *** 0.600.3-3ubuntu1.1 0
        500 http://security.ubuntu.com/ubuntu/ raring-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.600.3-3ubuntu1 0
        500 http://ca.archive.ubuntu.com/ubuntu/ raring/main amd64 Packages

But on a Saucy host I see that the default package can deal with Saucy guests:

$ apt-cache policy virtinst

virtinst:
  Installed: 0.600.4-2ubuntu2
  Candidate: 0.600.4-2ubuntu2
  Version table:
 *** 0.600.4-2ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ saucy/main amd64 Packages
        100 /var/lib/dpkg/status

But not Trusty:

$ virt-install --os-variant=list | grep ubuntu

ubuntusaucy : Ubuntu 13.10 (Saucy Salamander)
ubunturaring : Ubuntu 13.04 (Raring Ringtail)
ubuntuquantal : Ubuntu 12.10 (Quantal Quetzal)
ubuntuprecise : Ubuntu 12.04 LTS (Precise Pangolin)
ubuntuoneiric : Ubuntu 11.10 (Oneiric Ocelot)
ubuntunatty : Ubuntu 11.04 (Natty Narwhal)
ubuntumaverick : Ubuntu 10.10 (Maverick Meerkat)
ubuntulucid : Ubuntu 10.04 LTS (Lucid Lynx)
ubuntukarmic : Ubuntu 9.10 (Karmic Koala)
ubuntujaunty : Ubuntu 9.04 (Jaunty Jackalope)
ubuntuintrepid : Ubuntu 8.10 (Intrepid Ibex)
ubuntuhardy : Ubuntu 8.04 LTS (Hardy Heron)

Should I continue with the Saucy verification?

tags: added: precise-verification-needed quantal-verification-needed raring-verification-done saucy-verification-needed
removed: raring verification-needed
Stéphane Graber (stgraber) wrote :

On saucy that's because you're using 0.600.4-2ubuntu2 and not 0.600.4-2ubuntu2.1, make sure you're running the version from proposed and try again.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.3-3ubuntu1.1

---------------
virtinst (0.600.3-3ubuntu1.1) raring; urgency=low

  * debian/patches/9005_ubuntu_releases.patch: update list of Ubuntu
    releases. (LP: #1192290)
 -- Marc Deslauriers <email address hidden> Fri, 25 Oct 2013 11:38:38 -0400

Changed in virtinst (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Marc Deslauriers (mdeslaur) wrote :

I have successfully tested the package in -proposed for both precise and saucy.

tags: added: precise-verification-done saucy-verification-done
removed: precise-verification-needed saucy-verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.4-2ubuntu2.1

---------------
virtinst (0.600.4-2ubuntu2.1) saucy; urgency=low

  * debian/patches/9005_ubuntu_releases.patch: updated to add Trusty,
    switch back to cirrus by default to get a reasonable screen size
    during installation. (LP: #1192290)
 -- Marc Deslauriers <email address hidden> Fri, 25 Oct 2013 11:32:36 -0400

Changed in virtinst (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.1-1ubuntu3.3

---------------
virtinst (0.600.1-1ubuntu3.3) precise; urgency=low

  * debian/patches/9005_ubuntu_precise.patch: update list of Ubuntu
    releases. (LP: #1192290)
 -- Marc Deslauriers <email address hidden> Fri, 25 Oct 2013 12:30:24 -0400

Changed in virtinst (Ubuntu Precise):
status: Fix Committed → Fix Released
Marc Deslauriers (mdeslaur) wrote :

I have successfully tested quantal

tags: added: quantal-verification-done
removed: quantal-verification-needed
tags: added: verification-done-quantal
removed: quantal-verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.2-1ubuntu1.1

---------------
virtinst (0.600.2-1ubuntu1.1) quantal; urgency=low

  * debian/patches/9005_ubuntu_releases.patch: update list of Ubuntu
    releases. (LP: #1192290)
 -- Marc Deslauriers <email address hidden> Fri, 25 Oct 2013 11:40:28 -0400

Changed in virtinst (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers